/**
 * Copyright (C) 2010-2011 Joerg Bellmann <joerg.bellmann@googlemail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.googlecode.t7mp;

/**
 * TODO Comment.
 */
public class TomcatSetupException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private static final String NOT_NULL = " should not be null";

    private static final String NOT_EMPTY = " should not be empty";

    public TomcatSetupException(String message) {
        super(message);
    }

    public TomcatSetupException(String message, Throwable cause) {
        super(message, cause);
    }

    public static void notNull(Object arg, String name) {
        if (arg == null) {
            throw new TomcatSetupException(name + NOT_NULL);
        }
    }

    public static void notEmpty(String string, String name) {
        if (string.isEmpty()) {
            throw new TomcatSetupException(name + NOT_EMPTY);
        }
    }
}
